> For the complete documentation index, see [llms.txt](https://docs.coda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coda.co/codapay/hosted-payment-page-integration/initiate-usd-transactions/complete-notification-logs-showing-usd-price.md).

# Complete notification logs showing USD price

TotalPrice in the Coda callback displays the **local price** by default. If you need the **InitRequest USD price** to be included in the callback, you can enable **USD Price Notification** in the [Coda Portal](https://portal.coda.co/login#/login):

**Coda Portal → Codapay → Sandbox/Production Configuration → Edit → Merchant & URLs Configuration → Enable USD Price Notification**

For comparison, consider the following example, with USD Price appended to the end of the callback parameter:

### Checking a transaction status

{% tabs %}
{% tab title="v2.0 Notification - Added USDPrice configuration" %}
{% code overflow="wrap" %}

```json5
https://<your_webhook_url>?
  TxnId=7715122576202672831
  OrderId=365f5Z619951c1a4b8
  TotalPrice=1.17
  PaymentType=237
  ResultCode=0
  Checksum=10741fa6be7e6f2b189f029b3f8a0963
+ USDPrice=0.30
  PayTaxRate=8.00 //This field is only returned in v2.0 API
  PayCurrency=MYR //This field is only returned in v2.0 API
  PayAmount=1.17 //This field is only returned in v2.0 API
  OriginAmount=0.30 //This field is only returned in v2.0 API
  OriginCurrency=USD //This field is only returned in v2.0 API
  SubTotalPrice=1.08 //This field is only returned in v2.0 API
```

{% endcode %}
{% endtab %}

{% tab title="v2.0 Notification - Without USDPrice configuration" %}
{% code overflow="wrap" fullWidth="false" %}

```json5
https://<your_webhook_url>?
  TxnId=7715134275512676038
  OrderId=365f5Z619951c1a4b8
  TotalPrice=1.17
  PaymentType=237
  ResultCode=0
  Checksum=7ccba0ddb6792c83b68b48050fec927a
  PayTaxRate=8.00 //This field is only returned in v2.0 API
  PayCurrency=MYR //This field is only returned in v2.0 API
  PayAmount=1.17 //This field is only returned in v2.0 API
  OriginAmount=0.30 //This field is only returned in v2.0 API
  OriginCurrency=USD //This field is only returned in v2.0 API
  SubTotalPrice=1.08 //This field is only returned in v2.0 API
```

{% endcode %}
{% endtab %}

{% tab title="v1.0 Notification - Added USDPrice configuration" %}
{% code overflow="wrap" %}

```json5
https://<your_webhook_url>?
  TxnId=6366201293481272797
  OrderId=CodaTest
  TotalPrice=1.17
  PaymentType=23
  ResultCode=0
  Checksum=bbb4828b8d2a1bafb123a12b55d666f5
  + USDPrice=0.30

```

{% endcode %}
{% endtab %}

{% tab title="v1.0 Notification - Without USDPrice configuration" %}
{% code overflow="wrap" %}

```json5
https://<your_webhook_url>?
  TxnId=6366201293481272797
  OrderId=CodaTest
  TotalPrice=1.17
  PaymentType=23
  ResultCode=0
  Checksum=bbb482a0ddb6792c83b68b2b55d666f5
```

{% endcode %}
{% endtab %}
{% endtabs %}

{% hint style="info" %}
📘<mark style="color:blue;">**Cambodia🇰🇭**</mark>

Some regions use US dollars as a currency unit, so the callback parameter will not appear in USDPrice. Such as Cambodia.
{% endhint %}

{% hint style="success" %} <mark style="color:green;">**Note for USD Transaction Initiation**</mark>

* If partners specify the payType in the Initiation request, then we will respond with the price in Local Currency.
* If partners do not specify the payType, (or use payType 1 for generic DCB) then the response will not contain the price.
* If partners use our payment page front-end integration, we will display the price in local currency to the user.
* The API is fully backward compatible. To start using this feature, simply start sending a USD amount in the "price" parameter and the ISO Code "840" in the "currency" parameter.
* USD amounts can be submitted with two decimal places, but local amounts may be rounded up to the nearest whole number. For IDN, JPN, MMR, VNM, and LAO, it will be rounded to the nearest whole number. For other countries, it will be rounded to the nearest 2 decimal places.
* Channels with specified pricing requirements, such as Maxis in Malaysia, Telkomsel in Indonesia, etc.; we do not recommend using USD requests.
  {% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coda.co/codapay/hosted-payment-page-integration/initiate-usd-transactions/complete-notification-logs-showing-usd-price.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
